.contact-section {
  padding: 60px 0px;
}
.contact-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center; /* wyrównanie do lewej */
  gap: 200px;
  max-width: 100%; /* pełna szerokość */
  margin: 0; /* usunięcie auto-centrowania */
  padding-left: 20px; /* tylko lekki padding z lewej */
  flex-wrap: wrap;
}

.contact-form {
  flex: 1;
  min-width: 300px;
  max-width: 500px;
  margin-left: 0px;
}
.contact-form form input {
    width: 100%;
    padding: 10px 0;
    margin-bottom: 20px;
    font-size: 16px;
    background-color: transparent;
    border: none;
    border-bottom: 1px solid black;
    font-weight: 300; 
    font-family: inherit;
    outline: none;
}
.contact-form h2 {
  font-size: 44px;
  color: #2ca955;
  margin-bottom: 10px;
}
.contact-form p {
  font-size: 16px;
  color: #444;
  margin-bottom: 30px;
}
.contact-form form input, .contact-form form textarea
 {
  width: 100%;
  padding: 20px 16px;
  margin-bottom: 20px;
  font-size: 16px;
  background-color: #fff;
  
}
.contact-form form textarea {
  resize: vertical;
  min-height: 120px;
  max-height: 200px;
  border: none;
  border-bottom: 1px solid black;
  font-family: 'Poppins',sans-serif;
  outline: none;
}

.contact-form form {
  color: white;
  border: none;
  font-size: 16px;
  border-radius: 8px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.contact-image {
  flex: 1;
  min-width: 300px;
  max-width: 550px;
}

.contact-image img {
  height: 100%;
  max-height: 700px;
  object-fit: cover;
}

.shine-button {
  width: 107%; /* pełna szerokość jak inputy */
  padding: 14px 0; /* wyrównany padding */
  position: relative;
  background-color: #2ca955;
  color: white;
  border: none;
  font-size: 16px;
  border-radius: 3px;
  cursor: pointer;
  overflow: hidden;
  transition: background-color 0.3s ease;
  font-weight: 500;
}

.shine-button::before {
  content: "";
  position: absolute;
  top: 0;
  left: -75%;
  width: 50%;
  height: 100%;
  background: linear-gradient(
    120deg,
    rgba(255, 255, 255, 0.3) 0%,
    rgba(255, 255, 255, 0.6) 50%,
    rgba(255, 255, 255, 0.3) 100%
  );
  transform: skewX(-25deg);
}

.shine-button:hover::before {
  animation: shine 0.8s forwards;
}

@keyframes shine {
  0% {
    left: -75%;
  }
  100% {
    left: 125%;
  }
}

.shine-button:hover {
  background-color: #248844;
}

@media (min-width: 1000px) and (max-width:1200px) {
  .contact-container {
    gap: 60px;
  }
  
}
@media (max-width: 1030px) and (min-width: 769px) {
  .contact-form h2 {
    font-size: 32px;
  }

  .contact-form p {
    font-size: 14px;
  }

  .contact-form form input,
  .contact-form form textarea {
    font-size: 14px;
    padding: 16px 12px;
  }

  .shine-button {
    font-size: 14px;
    padding: 12px 0;
  }
  .contact-container {
    gap: 50px;
  }
  .contact-image img{
    object-position: left;
    max-height: 600px;
  }
}
.checkbox-container {
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 30px;
    margin-top: 20px;
    margin-bottom: 50px;
    cursor: pointer;
    font-size: 12px;
    user-select: none;
    color: black;
    font-weight: 300;
}
.checkbox-container input {
    position: absolute;
    cursor: pointer;
    height: 0;
    width: 0;
    opacity: 0;
}
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 15px;
    width: 15px;
    background-color: white;
    border: 1px solid black;
    border-radius: 4px; 
}
.checkbox-container input:checked ~ .checkmark {
    background-color: #2ca955;
}
.checkmark::after {
    content: "";
    position: absolute;
    display: none;
}
.checkbox-container input:checked ~ .checkmark::after {
    display: block;
}
.checkbox-container .checkmark::after {
    left: 5px;
    top: 0.5px;
    width: 3px;
    height: 8px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}
.checkbox-container a{
  color: black;
  z-index: 1;
  margin-left: 5px;
}
.checkbox-container a:hover{
  color: #248844;
}
/* TELEFONY (max-width: 768px) */
@media (max-width: 768px) {
  .contact-container {
    flex-direction: column;
    padding: 0 20px;
    gap: 0px;
  }

  .contact-image {
    order: -1; /* zdjęcie najpierw */
    width: 100%;
  }

  .contact-image img {
    width: 100%;
    height: auto;
    max-height: 400px;
  }

  .contact-form {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
}
  .contact-form form input,
  .contact-form form textarea,
  .shine-button {
    max-width: 500px;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    display: block;
}
  .contact-form h2 {
    font-size: 40px;
    text-align: center;
  }

  .contact-form p {
    font-size: 14px;
    text-align: center;
  }

  .contact-form form input,
  .contact-form form textarea {
    font-size: 14px;
    padding: 14px 12px;
  }

  .shine-button {
    font-size: 14px;
    padding: 12px 0;
    width: 100%;
  }
}